IXAudio2Vtbl Struct Reference

`#include <SDL_xaudio2.h>`

Collaboration diagram for IXAudio2Vtbl:
[legend]

## Public Member Functions

STDMETHOD() | QueryInterface (THIS_ REFIID iid, LPVOID *ppv) PURE
| STDMETHOD_ (ULONG, AddRef)(THIS) PURE
| STDMETHOD_ (ULONG, Release)(THIS) PURE
| STDMETHOD_ (HRESULT, RegisterForCallbacks)(THIS
| STDMETHOD_ (VOID, UnregisterForCallbacks)(THIS
| STDMETHOD_ (HRESULT, CreateSourceVoice)(THIS
| STDMETHOD_ (HRESULT, CreateSubmixVoice)(THIS
| STDMETHOD_ (HRESULT, CreateMasteringVoice)(THIS
| STDMETHOD_ (HRESULT, StartEngine)(THIS) PURE
| STDMETHOD_ (VOID, StopEngine)(THIS) PURE
| STDMETHOD_ (HRESULT, CommitChanges)(THIS
| STDMETHOD_ (HRESULT, GetPerformanceData)(THIS
| STDMETHOD_ (HRESULT, SetDebugConfiguration)(THIS

## Data Fields

IXAudio2EngineCallback *pCallback | PURE
IXAudio2SourceVoice ** | ppSourceVoice
IXAudio2SourceVoice const WAVEFORMATEX * | pSourceFormat
IXAudio2SourceVoice const WAVEFORMATEX UINT32 | Flags
IXAudio2SourceVoice const WAVEFORMATEX UINT32 float | MaxFrequencyRatio
IXAudio2SourceVoice const WAVEFORMATEX UINT32 float IXAudio2VoiceCallback * | pCallback
IXAudio2SourceVoice const WAVEFORMATEX UINT32 float IXAudio2VoiceCallback const XAUDIO2_VOICE_SENDS * | pSendList
IXAudio2SourceVoice const WAVEFORMATEX UINT32 float IXAudio2VoiceCallback const XAUDIO2_VOICE_SENDS const XAUDIO2_EFFECT_CHAIN *pEffectChain | PURE
IXAudio2SubmixVoice ** | ppSubmixVoice
IXAudio2SubmixVoice UINT32 | InputChannels
IXAudio2SubmixVoice UINT32 UINT32 | InputSampleRate
IXAudio2SubmixVoice UINT32 UINT32 UINT32 | Flags
IXAudio2SubmixVoice UINT32 UINT32 UINT32 UINT32 | ProcessingStage
IXAudio2SubmixVoice UINT32 UINT32 UINT32 UINT32 const XAUDIO2_VOICE_SENDS * | pSendList
IXAudio2SubmixVoice UINT32 UINT32 UINT32 UINT32 const XAUDIO2_VOICE_SENDS const XAUDIO2_EFFECT_CHAIN *pEffectChain | PURE
IXAudio2MasteringVoice ** | ppMasteringVoice
IXAudio2MasteringVoice UINT32 | InputChannels
IXAudio2MasteringVoice UINT32 UINT32 | InputSampleRate
IXAudio2MasteringVoice UINT32 UINT32 UINT32 | Flags
IXAudio2MasteringVoice UINT32 UINT32 UINT32 LPCWSTR | szDeviceId
IXAudio2MasteringVoice UINT32 UINT32 UINT32 LPCWSTR const XAUDIO2_EFFECT_CHAIN * | pEffectChain
IXAudio2MasteringVoice UINT32 UINT32 UINT32 LPCWSTR const XAUDIO2_EFFECT_CHAIN AUDIO_STREAM_CATEGORY StreamCategory | PURE
UINT32 OperationSet | PURE
XAUDIO2_PERFORMANCE_DATA *pPerfData | PURE
XAUDIO2_DEBUG_CONFIGURATION * | pDebugConfiguration
XAUDIO2_DEBUG_CONFIGURATION VOID *pReserved | PURE

## Detailed Description

Definition at line 171 of file SDL_xaudio2.h.

## Member Function Documentation

STDMETHOD() IXAudio2Vtbl::QueryInterface | ( | THIS_ REFIID | iid,
|  | LPVOID * | ppv
| ) |  |

IXAudio2Vtbl::STDMETHOD_ | ( | ULONG | ,
|  | AddRef |
| ) |  |

IXAudio2Vtbl::STDMETHOD_ | ( | ULONG | ,
|  | Release |
| ) |  |

IXAudio2Vtbl::STDMETHOD_ | ( | HRESULT | ,
|  | RegisterForCallbacks |
| ) |  |

IXAudio2Vtbl::STDMETHOD_ | ( | VOID | ,
|  | UnregisterForCallbacks |
| ) |  |

IXAudio2Vtbl::STDMETHOD_ | ( | HRESULT | ,
|  | CreateSourceVoice |
| ) |  |

IXAudio2Vtbl::STDMETHOD_ | ( | HRESULT | ,
|  | CreateSubmixVoice |
| ) |  |

IXAudio2Vtbl::STDMETHOD_ | ( | HRESULT | ,
|  | CreateMasteringVoice |
| ) |  |

IXAudio2Vtbl::STDMETHOD_ | ( | HRESULT | ,
|  | StartEngine |
| ) |  |

IXAudio2Vtbl::STDMETHOD_ | ( | VOID | ,
|  | StopEngine |
| ) |  |

IXAudio2Vtbl::STDMETHOD_ | ( | HRESULT | ,
|  | CommitChanges |
| ) |  |

IXAudio2Vtbl::STDMETHOD_ | ( | HRESULT | ,
|  | GetPerformanceData |
| ) |  |

IXAudio2Vtbl::STDMETHOD_ | ( | HRESULT | ,
|  | SetDebugConfiguration |
| ) |  |

## Field Documentation

IXAudio2SourceVoice const WAVEFORMATEX UINT32 IXAudio2Vtbl::Flags

Definition at line 181 of file SDL_xaudio2.h.

IXAudio2SubmixVoice UINT32 UINT32 UINT32 IXAudio2Vtbl::Flags

Definition at line 188 of file SDL_xaudio2.h.

IXAudio2MasteringVoice UINT32 UINT32 UINT32 IXAudio2Vtbl::Flags

Definition at line 195 of file SDL_xaudio2.h.

IXAudio2SubmixVoice UINT32 IXAudio2Vtbl::InputChannels

Definition at line 188 of file SDL_xaudio2.h.

IXAudio2MasteringVoice UINT32 IXAudio2Vtbl::InputChannels

Definition at line 195 of file SDL_xaudio2.h.

IXAudio2SubmixVoice UINT32 UINT32 IXAudio2Vtbl::InputSampleRate

Definition at line 188 of file SDL_xaudio2.h.

IXAudio2MasteringVoice UINT32 UINT32 IXAudio2Vtbl::InputSampleRate

Definition at line 195 of file SDL_xaudio2.h.

IXAudio2SourceVoice const WAVEFORMATEX UINT32 float IXAudio2Vtbl::MaxFrequencyRatio

Definition at line 181 of file SDL_xaudio2.h.

IXAudio2SourceVoice const WAVEFORMATEX UINT32 float IXAudio2VoiceCallback* IXAudio2Vtbl::pCallback

Definition at line 181 of file SDL_xaudio2.h.

XAUDIO2_DEBUG_CONFIGURATION* IXAudio2Vtbl::pDebugConfiguration

Definition at line 206 of file SDL_xaudio2.h.

IXAudio2MasteringVoice UINT32 UINT32 UINT32 LPCWSTR const XAUDIO2_EFFECT_CHAIN* IXAudio2Vtbl::pEffectChain

Definition at line 195 of file SDL_xaudio2.h.

IXAudio2MasteringVoice** IXAudio2Vtbl::ppMasteringVoice

Definition at line 195 of file SDL_xaudio2.h.

IXAudio2SourceVoice** IXAudio2Vtbl::ppSourceVoice

Definition at line 181 of file SDL_xaudio2.h.

IXAudio2SubmixVoice** IXAudio2Vtbl::ppSubmixVoice

Definition at line 188 of file SDL_xaudio2.h.

IXAudio2SubmixVoice UINT32 UINT32 UINT32 UINT32 IXAudio2Vtbl::ProcessingStage

Definition at line 188 of file SDL_xaudio2.h.

IXAudio2SourceVoice const WAVEFORMATEX UINT32 float IXAudio2VoiceCallback const XAUDIO2_VOICE_SENDS* IXAudio2Vtbl::pSendList

Definition at line 181 of file SDL_xaudio2.h.

IXAudio2SubmixVoice UINT32 UINT32 UINT32 UINT32 const XAUDIO2_VOICE_SENDS* IXAudio2Vtbl::pSendList

Definition at line 188 of file SDL_xaudio2.h.

IXAudio2SourceVoice const WAVEFORMATEX* IXAudio2Vtbl::pSourceFormat

Definition at line 181 of file SDL_xaudio2.h.

IXAudio2EngineCallback *pCallback IXAudio2Vtbl::PURE

Definition at line 179 of file SDL_xaudio2.h.

IXAudio2SourceVoice const WAVEFORMATEX UINT32 float IXAudio2VoiceCallback const XAUDIO2_VOICE_SENDS const XAUDIO2_EFFECT_CHAIN* pEffectChain IXAudio2Vtbl::PURE

Definition at line 181 of file SDL_xaudio2.h.

IXAudio2SubmixVoice UINT32 UINT32 UINT32 UINT32 const XAUDIO2_VOICE_SENDS const XAUDIO2_EFFECT_CHAIN* pEffectChain IXAudio2Vtbl::PURE

Definition at line 188 of file SDL_xaudio2.h.

IXAudio2MasteringVoice UINT32 UINT32 UINT32 LPCWSTR const XAUDIO2_EFFECT_CHAIN AUDIO_STREAM_CATEGORY StreamCategory IXAudio2Vtbl::PURE

Definition at line 195 of file SDL_xaudio2.h.

UINT32 OperationSet IXAudio2Vtbl::PURE

Definition at line 204 of file SDL_xaudio2.h.

XAUDIO2_PERFORMANCE_DATA* pPerfData IXAudio2Vtbl::PURE

Definition at line 205 of file SDL_xaudio2.h.

XAUDIO2_DEBUG_CONFIGURATION VOID* pReserved IXAudio2Vtbl::PURE

Definition at line 206 of file SDL_xaudio2.h.

IXAudio2MasteringVoice UINT32 UINT32 UINT32 LPCWSTR IXAudio2Vtbl::szDeviceId

Definition at line 195 of file SDL_xaudio2.h.

The documentation for this struct was generated from the following file:

- src/audio/xaudio2/SDL_xaudio2.h